%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%global modname taskw

Name:             python-taskw
Version:          1.1.0
Release:          1%{?dist}
Summary:          Python bindings for your taskwarrior database

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/taskw
Source0:          http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools
BuildRequires:    python-nose
BuildRequires:    python-six
BuildRequires:    python-dateutil
BuildRequires:    pytz
BuildRequires:    python-unittest2

Requires:         python-six
Requires:         python-dateutil
Requires:         pytz

%if 0%{?rhel} && 0%{?rhel} <= 6
# The integration with task CLI doesn't work for older versions.
%else
BuildRequires:    task
Requires:         task
%endif

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-ordereddict
Requires:         python-ordereddict
%endif

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-nose
BuildRequires:    python3-six
BuildRequires:    python3-dateutil
BuildRequires:    python3-pytz
%endif

%description
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.

%if 0%{?with_python3}
%package -n python3-taskw
Summary:        Python bindings for your taskwarrior database
Group:          Development/Libraries

Requires:       python3-six
Requires:       python3-dateutil
Requires:       python3-pytz
Requires:       task

%description -n python3-taskw
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.
%endif

%prep
%setup -q -n %{modname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%check
nosetests

%if 0%{?with_python3}
pushd %{py3dir}
nosetests-%{python3_version}
popd
%endif

# Remove the tests after we've run them.  No reason to ship them.
%{__rm} -r %{buildroot}%{python2_sitelib}/%{modname}/test

%files
%doc README.rst LICENSE.txt
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{modname}
%{python3_sitelib}/%{modname}-%{version}-*

%endif


%changelog
* Thu Sep 10 2015 Ralph Bean <rbean@redhat.com> - 1.1.0-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 17 2015 Ralph Bean <rbean@redhat.com> - 1.0.3-1
- new version

* Wed Feb 11 2015 Ralph Bean <rbean@redhat.com> - 1.0.2-1
- new version

* Wed Feb 11 2015 Ralph Bean <rbean@redhat.com> - 1.0.0-1
- new version

* Sat Aug 23 2014 Ralph Bean <rbean@redhat.com> - 0.8.6-1
- Latest upstream.

* Sat Aug 23 2014 Ralph Bean <rbean@redhat.com> - 0.8.5-2
- New dep on python-unittest2.

* Fri Aug 22 2014 Ralph Bean <rbean@redhat.com> - 0.8.5-1
- Latest upstream.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sat Mar 08 2014 Ralph Bean <rbean@redhat.com> - 0.8.1-1
- Bugfixes to the new shellout implementation.

* Wed Mar 05 2014 Ralph Bean <rbean@redhat.com> - 0.8.0-2
- Add new dep on pytz and python-dateutil.

* Wed Mar 05 2014 Ralph Bean <rbean@redhat.com> - 0.8.0-1
- Huge enhancements to the shellout implementation thanks to Adam Coddington.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.7.2-1
- Fix encoding of backslashes.

* Tue Jan 21 2014 Ralph Bean <rbean@redhat.com> - 0.7.1-2
- Conditionalize task cli integration for epel.

* Tue Jan 21 2014 Ralph Bean <rbean@redhat.com> - 0.7.1-1
- Latest upstream.
- Modernized python macros.
- Added dep on task as the default mode now shells out to commands.

* Fri Nov 29 2013 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.6.1-1
- Update to release 0.6.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Aug 19 2012 Ralph Bean <rbean@redhat.com> - 0.4.3-2
- Removed dependency on "task".  Its not actually required.
- Remove tests from sitelib after running them.

* Tue Aug 14 2012 Ralph Bean <rbean@redhat.com> - 0.4.3-1
- Initial package for Fedora
